# $Revision: 1.10 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Filter-DataIndenter
Summary:	XML::Filter::DataIndenter - SAX2 indenter for data oriented XML
Summary(pl.UTF-8):	XML::Filter::DataIndenter - tworzenie wcięć SAX2 dla XML-a z danymi
Name:		perl-XML-Filter-DataIndenter
Version:	0.1
Release:	1
# any version
License:	GPL or Artistic or BSD
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d405dc887307d788648430075c01b47e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-XML-SAX
BuildRequires:	perl-XML-SAX-Machines
BuildRequires:	perl-XML-SAX-Writer
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ALPHA CODE ALERT: This is the first release. Feedback and patches
welcome.

In data oriented XML, leaf elements (those which contain no elements)
contain only character content, all other elements contain only child
elements and ignorable whitespace. This filter consumes all
whitespace not in leaf nodes and replaces it with whitespace that
indents all elements. Character data in leaf elements is left
unmolested.

%description -l pl.UTF-8
UWAGA, KOD ALPHA: to jest pierwsza wersja. Sygnały zwrotne i łaty mile
widziane.

W XML-u zorientowanym na dane liście (elementy nie zawierające innych
elementów) zawierają tylko dane znakowe, a wszystkie inne elementy
zawierają tylko elementy potomne i ignorowalne spacje. Ten filtr
pochłania wszystkie spacje nie będące w liściach i zamienia je na
spacje tworzące wcięcia dla wszystkich elementów. Dane znakowe w
liściach pozostają nie molestowane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/XML/*/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-DataIndenter.spec,v $
Revision 1.10  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.8  2004/11/03 22:30:55  paladine
- formatting

Revision 1.7  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/05/06 19:38:10  qboosh
- fixed contact info

Revision 1.5  2004/05/06 18:40:40  qboosh
- pl desc

Revision 1.4  2004/05/06 18:21:29  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/06 02:07:07  ankry
- pl summary, formatting

Revision 1.2  2004/05/05 20:26:50  radek
- added forgotten md5

Revision 1.1  2004/05/05 20:25:36  radek
- new
